> For the complete documentation index, see [llms.txt](https://api-old.innov8tif.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-old.innov8tif.com/okaydb/aml/search-business/version-1.md).

# Version 1

<mark style="color:green;">`POST`</mark> `https://okaydbdemo.innov8tif.com/ekyc/api/aml/v1/business`

#### Request Body

| Name                 | Type   | Description                                                                                                                                                   |
| -------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| BusinessName         | string | Searched business name.                                                                                                                                       |
| apiKey               | string | To be assigned by Innov8tif.                                                                                                                                  |
| Threshold            | string | Minimum score to filter matched profiles.                                                                                                                     |
| PEP                  | string | Return PEP profiles. If not provided, then default value is "false" and matched PEP profiles will not be returned.                                            |
| PreviousSanctions    | string | Return previously sanctioned profiles. if not provided, then default value is "false" and matched profiles will not be returned.                              |
| CurrentSanctions     | string | Return currently sanctioned profiles. If not provided, then default value is "false" and matched profiles will  not be returned.                              |
| LawEnforcement       | string | Return profiles from "Law Enforcement" dataset. If not provided, then default value s "false" and matched profiles will not be returned.                      |
| FinancialRegulator   | string | Return profiles from "Financial regulator" dataset. If not provided, ten default value is "false" and matched profiles will not be returned.                  |
| Insolvency           | string | Return profiles from "Insolvency" dataset. If not provided, then default value is "false" and matched profiles will not be returned.                          |
| DisqualifiedDirector | string | Return profiles from "Disqualified Director" dataset. If not provided, then default value is "false" and matched disqualified directors will not be returned. |
| AdverseMedia         | string | Return profiles from "Adverse Media" dataset. If not provided, then default value is "false" and matched disqualified directors will not be returned.         |
| Address              | string | Searched address. This  field should not contain city, county/state/postcode/country name.                                                                    |
| City                 | string | Searched city                                                                                                                                                 |
| County               | string | Searched county                                                                                                                                               |
| Postcode             | string | Searched postcode                                                                                                                                             |
| Country              | string | Searched country                                                                                                                                              |

{% tabs %}
{% tab title="200 " %}

```
{
  "recordsFound": 1,
  "matches": [
    {
      "score": 100,
      "business": {
        "id": 579097,
        "businessName": "Tesla, Inc.",
        "telephoneNumber": "+1 (650) 681-5100",
        "faxNumber": "+1 (650) 681-5101",
        "website": "https://www.tesla.com",
        "isPEP": true,
        "isSanctionsCurrent": false,
        "isSanctionsPrevious": false,
        "isLawEnforcement": true,
        "isFinancialregulator": false,
        "isDisqualifiedDirector": false,
        "isInsolvent": false,
        "isAdverseMedia": true,
        "addresses": [
          {
            "address1": "Tesla Headquarters",
            "address2": "3500 Deer Creek Road",
            "address3": "",
            "address4": "",
            "city": "Palo Alto",
            "county": "California",
            "postcode": "CA 94304",
            "country": {
              "name": "United States of America"
            }
          },
          {
            "address1": "901 Page Avenue",
            "address2": "",
            "address3": "",
            "address4": "",
            "city": "Freemont",
            "county": "California",
            "postcode": "94538",
            "country": {
              "name": "United States of America"
            }
          },
          {
            "address1": "45500 Fremont Boulevard",
            "address2": "",
            "address3": "",
            "address4": "",
            "city": "Fremont",
            "county": "California",
            "postcode": "94538",
            "country": {
              "name": "United States of America"
            }
          }
        ],
        ............
        
}
```

{% endtab %}
{% endtabs %}

### Input Example

```
{
"apiKey":"apikey",
"Threshold":100,
"BusinessName" : "Tesla",
"PEP":true,
"PreviousSanctions":true,
"CurrentSanctions":true,
"LawEnforcement":true,
"FinancialRegulator":true,
"Insolvency":true,
"DisqualifiedDirector":true,
"AdverseMedia":true,
"Address":"",
"City":"",
"County":"",
"Postcode":" ",
"Country":"" 
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-old.innov8tif.com/okaydb/aml/search-business/version-1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
